<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
InsertColumn Method (IEdmSWBom)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmSWBom Interface : InsertColumn Method (IEdmSWBom)

Visual Basic
C#
C++/CLI

lNr
  0-based index where to insert the column; 0 to insert column in first position, -1 to insert column in last position

pbsName
  Name of column

Inserts a column at the specified column index.

# Syntax

Visual Basic |
--- | ---

    Function InsertColumn( _
       ByVal lNr As System.Integer, _
       ByVal pbsName As System.String _
    ) As EdmSWBomColumn

C# |
--- | ---

    EdmSWBomColumn InsertColumn(
       System.int lNr,
       System.string pbsName
    )

C++/CLI |
--- | ---

    EdmSWBomColumn^ InsertColumn(
    &   System.int lNr,
    &   System.String^ pbsName
    )

#### Parameters

lNr
  0-based index where to insert the column; 0 to insert column in first position, -1 to insert column in last position
pbsName
  Name of column

#### Return Value

IEdmSWBomColumn

# See Also

####

IEdmSWBom Interface
IEdmSWBom Members

# Availability

SOLIDWORKS PDM Professional 2021 SP03